# config.mk: Configurable parameters of Sherlock
# lib/autoconf.h is automatically generated from this file.

### Compiler options ###

# C flags: tell the compiler we're speaking C99
CLANG=-std=gnu99
# C optimizations
COPT=-O2 -fstrict-aliasing -finline-limit=2000 -march=$(CPU_ARCH)
# Warnings
CWARNS=-Wall -W -Wno-parentheses -Wstrict-prototypes -Wmissing-prototypes -Winline
# Linker flags
LOPT=
# Extra libraries
LIBS=
# Extra flags for compiling and linking shared libraries
CSHARED=-fPIC
LSHARED=-Wl,-shared -Wl,-soname,lib/$(@F)

# If debugging:
#CDEBUG=-DDEBUG -ggdb

# If debugging memory allocations:
#LIBS += -lefence
#CDEBUG += -DDMALLOC
#LIBS += -ldmalloc

# If building release versions:
CDEBUG=
COPT+=-fomit-frame-pointer
LOPT+=-s

### CPU Type and Features ###

CPU_ARCH=i386
CPU_I386=1
CPU_LITTLE_ENDIAN=1
#CPU_BIG_ENDIAN=1
CPU_ALLOW_UNALIGNED=1
CPU_STRUCT_ALIGN=4
#CPU_64BIT_POINTERS=1

### OS Type ###

CONFIG_LINUX=1

### Basic Modules (keep them unless you know what you're doing) ###

CONFIG_GATHERER=1
CONFIG_INDEXER=1
CONFIG_SEARCH=1

### Features ###

# Number of sections we remember limits for
SHERLOCK_NUM_SECTIONS=1
# Use shared libraries
CONFIG_SHARED=1
# Searching by last modification time
#CONFIG_LASTMOD=1
# Searching by file type
#CONFIG_FILETYPE=1
# Language processing (requires CONFIG_FILETYPE)
#CONFIG_LANG=1
# Spelling checker
CONFIG_SPELL=1
# The PDF parser
CONFIG_PDF=1
# Compatibility with data from older versions
#CONFIG_COMPAT=1
# Enable indexing of context-dependent words and set maximum number
# of context slots (undef, 256 or 32768). Lower values save memory, higher time.
CONFIG_MAX_CONTEXTS=32768
# Debugging tools
CONFIG_DEBUG=1
# Search server: Enable EXPLAIN command (slows searching down)
#CONFIG_EXPLAIN=1
# Watson: The Monitoring System
#CONFIG_WATSON=1

### Installation ###

INSTALL_DIR=~/run
